Subject: bug#19721: closed (Re: bug#19721: 25.0.50; Mode-line not redrawn with expose events)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 Feb 2015 16:18:02 +0000

Your bug report

#19721: 25.0.50; Mode-line not redrawn with expose events

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19721: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19721
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19721: 25.0.50; Mode-line not redrawn with expose events
From: Eli Zaretskii <[email-masked]>
To: YAMAMOTO Mitsuharu <[email-masked]>
Cc: [email-masked]
Date: Mon, 02 Feb 2015 18:16:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 02 Feb 2015 12:27:39 +0900
> From: YAMAMOTO Mitsuharu <[email-masked]>
> Cc: [email-masked]
> 
> >>>>> On Sun, 01 Feb 2015 17:33:10 +0200, Eli Zaretskii <[email-masked]> said:
> 
> > How about the patch below?  (Once again, it's wrt the current emacs-24
> > branch.)
> 
> This works fine on my side.  Thanks.

Thanks, I pushed this as commit e9a7e10 to the emacs-24 branch.

Subject: 25.0.50; Mode-line not redrawn with expose events
From: YAMAMOTO Mitsuharu <[email-masked]>
To: [email-masked]
Date: Thu, 29 Jan 2015 19:51:24 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

This bug is related to the mode-line erasure problem I mentioned in
http://lists.gnu.org/archive/html/emacs-devel/2015-01/msg01040.html .

To reproduce the problem by the instruction below, you would need to
make sure that your X11 compositing manager is turned off.  I tested
on Cent OS 5.11, default setting.  See also
http://lists.gnu.org/archive/html/emacs-devel/2013-04/msg00600.html .

Steps to reproduce:

1. Create a file (say, ~/test.el) containing the following contents:

  (custom-set-faces
   '(mode-line ((((class color) (min-colors 88)) (:background
     "grey75" :foreground "black" :box (:line-width 2 :color
     "grey75" :style released-button)))))
   )

2. $ emacs -Q -D -l ~/test.el
3. C-x 2 C-x 2 C-x 2
4. C-x o C-x o C-x o
5. Move another window (e.g., the terminal window from which Emacs is
   invoked) so that it hovers over the Emacs frame.

Result:

The upper two mode-lines among four are not redrawn after their hidden
part is revealed (see the attachment).  They are not redrawn in
response to expose events because the flag `enabled_p' for these
mode-line glyph rows have been set to false.

				     YAMAMOTO Mitsuharu
				[email-masked]

In GNU Emacs 25.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.10.4)
 of 2015-01-29 on localhost.localdomain
Windowing system distributor `The X.Org Foundation', version 11.0.70101000
System Description:	CentOS release 5.11 (Final)

Configured features:
XPM JPEG TIFF GIF PNG SOUND LIBSELINUX FREETYPE XFT ZLIB